Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in java-1_8_0-ibm
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in java-1_8_0-ibm
ID: SUSE-SU-2019:1308-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Module for Legacy Software 15
Datum: Mi, 22. Mai 2019, 07:15
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2698
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2602
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2684
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-2697
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10245
Applikationen: IBM JDK for Linux

Originalnachricht


SUSE Security Update: Security update for java-1_8_0-ibm
______________________________________________________________________________

Announcement ID: SUSE-SU-2019:1308-1
Rating: important
References: #1132728 #1132729 #1132732 #1132734 #1134718

Cross-References: CVE-2019-10245 CVE-2019-2602 CVE-2019-2684
CVE-2019-2697 CVE-2019-2698
Affected Products:
SUSE Linux Enterprise Module for Legacy Software 15
______________________________________________________________________________

An update that fixes 5 vulnerabilities is now available.

Description:

This update for java-1_8_0-ibm fixes the following issues:

Update to Java 8.0 Service Refresh 5 Fix Pack 35.

Security issues fixed:

- CVE-2019-10245: Fixed Java bytecode verifier issue causing crashes
(bsc#1134718).
- CVE-2019-2698: Fixed out of bounds access flaw in the 2D component
(bsc#1132729).
- CVE-2019-2697: Fixed flaw inside the 2D component (bsc#1132734).
- CVE-2019-2602: Fixed flaw inside BigDecimal implementation (Component:
Libraries) (bsc#1132728).
- CVE-2019-2684: Fixed flaw was found in the RMI registry implementation
(bsc#1132732).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Module for Legacy Software 15:

zypper in -t patch SUSE-SLE-Module-Legacy-15-2019-1308=1



Package List:

- SUSE Linux Enterprise Module for Legacy Software 15 (ppc64le s390x
x86_64):

java-1_8_0-ibm-1.8.0_sr5.35-3.20.1
java-1_8_0-ibm-devel-1.8.0_sr5.35-3.20.1

- SUSE Linux Enterprise Module for Legacy Software 15 (x86_64):

java-1_8_0-ibm-alsa-1.8.0_sr5.35-3.20.1
java-1_8_0-ibm-plugin-1.8.0_sr5.35-3.20.1


References:

https://www.suse.com/security/cve/CVE-2019-10245.html
https://www.suse.com/security/cve/CVE-2019-2602.html
https://www.suse.com/security/cve/CVE-2019-2684.html
https://www.suse.com/security/cve/CVE-2019-2697.html
https://www.suse.com/security/cve/CVE-2019-2698.html
https://bugzilla.suse.com/1132728
https://bugzilla.suse.com/1132729
https://bugzilla.suse.com/1132732
https://bugzilla.suse.com/1132734
https://bugzilla.suse.com/1134718

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung